Create a group of products
curl --request POST \
--url https://api.hubapi.com/crm-objects/v1/objects/productsimport requests
url = "https://api.hubapi.com/crm-objects/v1/objects/products"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.hubapi.com/crm-objects/v1/objects/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "name",
"value": "A new product"
},
{
"name": "description",
"value": "A description of this product."
},
{
"name": "price",
"value": "27.50"
},
{
"name": "recurringbillingfrequency",
"value": "quarterly"
},
{
"versions": [
{
"name": "hs_lastmodifieddate",
"value": "0",
"timestamp": 0,
"source": "CALCULATED",
"sourceVid": []
}
],
"value": "0",
"timestamp": 0,
"source": "CALCULATED",
"sourceId": null
},
{
"versions": [
{
"name": "price",
"value": "27.50",
"timestamp": 1525287096980,
"source": "API",
"sourceVid": []
}
],
"value": "27.50",
"timestamp": 1525287096980,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "name",
"value": "A new product",
"timestamp": 1525287096980,
"source": "API",
"sourceVid": []
}
],
"value": "A new product",
"timestamp": 1525287096980,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "createdate",
"value": "0",
"timestamp": 0,
"source": "API",
"sourceVid": []
}
],
"value": "0",
"timestamp": 0,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "description",
"value": "A description of this product.",
"timestamp": 1525287096980,
"source": "API",
"sourceVid": []
}
],
"value": "A description of this product.",
"timestamp": 1525287096980,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "recurringbillingfrequency",
"value": "quarterly",
"timestamp": 1525287096980,
"source": "API",
"sourceVid": []
}
],
"value": "quarterly",
"timestamp": 1525287096980,
"source": "API",
"sourceId": null
}
]v1
Create a group of products
Update a group of existing products. Up to 100 products can be updated in a single request. The request body will be an array, with each element containing the ID of the product to update and a list of properties to update for that product. See the examples for details.
POST
/
crm-objects
/
v1
/
objects
/
products
Create a group of products
Scope requirements
Scope requirements
レスポンス
200 - application/json
Successful response - Update a group of existing products
The response is of type object.
最終更新日 2026年4月10日
⌘I